'  Script to install Spell.vbs to allow launch with a run line shortcut
'  Steve Yandl and Jason Levine, October 15, 2000
'
Dim fso, currdir, ThisDrive, Home, ws, RegKey, App, short
Set fso = CreateObject("Scripting.FileSystemObject")
currdir = fso.GetAbsolutePathName(".")
ThisDrive = fso.GetDriveName(currdir)
Set ws = CreateObject("WScript.Shell")

If not fso.FileExists(currdir&"\Spell.vbs") Then MsgBox "Spell.vbs needs to be in this folder for install to work"

Dim Done
Home = ThisDrive&"\Speller"
Done = False
Do While Done = False
	Home = InputBox("Where do you want to install the SpellChecker?", "SpellChecker Installer",Home)
	If (fso.FolderExists(Home)) Then
		Done = True
	ElseIf (Home <> "") then
		intDoIt = MsgBox("This directory doesn't exist.  Do you want to create it?",vbYesNo + vbInformation, "SpellChecker Installer")
		If intDoIt = vbYes Then
			Set Home = fso.CreateFolder(Home)
			Done = True
		End If
	Else
		Done = True
	End If
Loop
If (Home <> "") then
	fso.copyfile currdir&"\Spell.vbs", Home&"\Spell.vbs"

	' Addition by Jason Levine to give option of shortcut - 10/23/2000
	intDoIt =  MsgBox("You can define a shortcut for easy access from the Run line.  Do you want to do this?",vbYesNo + vbInformation, "SpellChecker Installer")
	If intDoIt = vbYes Then
		IsShort = "Short"
		short = ""
		Done = False

		do while Done = False
			do while short = ""
				short=InputBox("What keys will be the run line shortcut?", "SpellChecker Installer","sp")
				If short="" Then MsgBox "You must enter a shortcut to continue."
			Loop

			RegKey =  "HKLM\Software\Microsoft\Windows\CurrentVersion\App Paths\"
			App = Home&"\Spell.vbs"
			On Error Resume Next
			If IsEmpty(ws.RegRead(RegKey & short & ".exe\")) Then
				ws.RegWrite RegKey & short & ".exe\", App
				Done = True
			Else
				MsgBox "The letters you chose were already in use.  Try another set of keys."
			End If
		Loop
	Else
		IsShort = "NoShort"
	End If


	' Addition by Jason Levine for IE Toolbar icon  - 10/23/2000
	intDoIt =  MsgBox("You can also add an icon to the toolbar in IE for easy access.  Do you want to install this?",vbYesNo + vbInformation, "SpellChecker Installer")
	If intDoIt = vbYes Then
		Call IEAddonInstall
		IsToolbar = "Toolbar"
	Else
		IsToolbar = "NoToolbar"
	End If

	Call AddUninstall
	intDoIt = MsgBox("SpellChecker install has been completed.",vbOKOnly + vbInformation, "SpellChecker Installer")
	Call EndNotes
End If

Set f = Nothing
Set ws = Nothing
Set fso = Nothing




' Addition by Jason Levine for IE Toolbar icon  - 10/23/2000
Sub IEAddonInstall()
	Dim WSHShell, WinDir, FileScriptingObj
	Set WSHShell = WScript.CreateObject("WScript.Shell")

	'Custom Settings
	GUID = "{CF0D2653-57FA-482c-90A3-E1485702F0D4}"
	MenuEntry = "SpellChecker"
	'End Custom Settings

	WinDir = WshShell.ExpandEnvironmentStrings(WshShell.Environment.Item("WINDIR"))
	Set FileScriptingObj = WScript.CreateObject("Scripting.FileSystemObject") 
	FileScriptingObj.copyfile currdir&"\Spell.ico", Home&"\Spell.ico"
	FileScriptingObj.copyfile currdir&"\SpellHot.ico", Home&"\SpellHot.ico"
	FileScriptingObj.copyfile currdir&"\uninstall_spell.vbs", Home&"\uninstall_spell.vbs"
	Set FileScriptingObj = Nothing

	WshShell.RegWrite "HKLM\Software\Microsoft\Internet Explorer\Extensions\" & GUID,""
	WshShell.RegWrite "HKLM\Software\Microsoft\Internet Explorer\Extensions\" & GUID & "\Default Visible","Yes"
	WshShell.RegWrite "HKLM\Software\Microsoft\Internet Explorer\Extensions\" & GUID & "\ButtonText",MenuEntry
	WshShell.RegWrite "HKLM\Software\Microsoft\Internet Explorer\Extensions\" & GUID & "\HotIcon",Home & "\SpellHot.ico"
	WshShell.RegWrite "HKLM\Software\Microsoft\Internet Explorer\Extensions\" & GUID & "\Icon",Home & "\Spell.ico"
	WshShell.RegWrite "HKLM\Software\Microsoft\Internet Explorer\Extensions\" & GUID & "\CLSID","{1FBA04EE-3024-11D2-8F1F-0000F87ABD16}"
	WshShell.RegWrite "HKLM\Software\Microsoft\Internet Explorer\Extensions\" & GUID & "\Exec", App

	Set WSHShell = Nothing
end sub

' Adds Uninstall Capabilities
Sub AddUninstall()

	DisplayName = "SpellChecker"

	Dim WSHShell
	Set WSHShell = WScript.CreateObject("WScript.Shell")

	WshShell.RegWrite "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\"&DisplayName&"\DisplayName", DisplayName

	WshShell.RegWrite "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\"&DisplayName&"\UninstallString", "wscript.exe  """&Home&"\uninstall_spell.VBS"""
	WshShell.RegWrite "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\"&DisplayName&"\ShortName", short
	WshShell.RegWrite "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\"&DisplayName&"\IsShort", IsShort
	WshShell.RegWrite "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\"&DisplayName&"\IsToolbar", IsToolbar
	WshShell.RegWrite "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\"&DisplayName&"\Path", Home

	Set WSHShell = Nothing
end sub

Sub EndNotes()
	Set f = fso.CreateTextFile(currdir&"\ReadMe.txt")
	f.WriteLine "A new folder was created at: "&Home
	f.WriteLine "A copy of spell.vbs was placed in that folder."
	f.WriteLine " "
	if IsShort = "Short" then
		f.WriteLine "You now have the ability to launch SpellChecker by typing "&short&" in the Run line"
		f.WriteLine " "
	End if

	if IsToolbar = "Toolbar" then
		f.WriteLine "A toolbar icon was added to Internet Explorer for easy access to the Spell Check application."
		f.WriteLine "To use it, copy some selected text in your browser to the clipboard and then click the Spell Check toolbar icon."
	End if

	f.WriteLine "You can delete this readme file or save it for reference.  If you decide you want to remove SpellChecker, you can uninstall it through the Add/Remove Programs Control Panel.  (Don't just delete the directory, or residual registry entries will be left behind.)"
	f.WriteLine "Leave the copy of spell.vbs in the new SpellChecker folder but you may delete the copy you downloaded."
	f.WriteLine "You may also delete the Install Spell.vbs program if you wish."
	f.Close
	ws.Run currdir&"\ReadMe.txt",1
End Sub